# Hugo theme : Snotra

This is a dark and classy Hugo theme.

## Installation

To install Simple-site theme, you can simply clone the repository
to your site's theme directory.

```bash
$ mkdir themes
$ cd themes
$ git clone https://git.vulgarisons.info/raghnarok/hugo_snotra.git snotra
```

Don't forget to change the theme in your config.toml file.

## Configuration

### Base

```toml
baseurl = "https://yourdoma.in" # The base url of your Hugo website
title = "Title"                 # The title of your website
author = "Author"               # The author of the website
language = "fr"
theme = "idunn"                 # The Hugo theme
```

### Description

You can use some parameters to fill meta tags and bases images:

```toml
[params]
	description = "" # Description for the meta tag
	favicon = ""     # Favicon URL
	logo = ""        # Logo URL
```

### Colors

It is possible to basicaly change some colors:

```toml
[params.colors]
	font = "black"       # General font color, default to black
	background = "white" # General background color, default to white
	main = "grey"        # Theme color, used for footer among others, default to grey
	font_above = "white" # Used for font above *main* color, default to white
```

### Custom CSS

```toml
[params]
	custom_css = ["style.css"] # Your own css files
```

### Contact footer

If you want to have some informations about you in the footer,
you can set it with thoses parameters:

```toml
[params.contact]
	email = "mail@serve.ur"    # The mail of your company
	phone = "+41 22 123 45 67" # The phone number of your company
	address = "Your address"   # The address of your company
```

### Social Networks

You can also set some of your networks accounts.
Thoses options are availables:

```toml
[params.social]
	500px = ""
	codepen = ""
	facebook = ""
	flickr = ""
	github = ""
	gitlab = ""
	instagram = ""
	linkedin = ""
	mastodon = ""
	peertube = ""
	pinterest = ""
	pixelfed = ""
	tumblr = ""
	twitter = ""
	youtube = ""
```
